MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027060Community[OCCT] OCCT:Visualizationpublic2016-01-05 15:072016-04-20 15:50
Reportermartinsiggel 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027060: Visualization issue with TopoDS_Vertex after call of AIS_Shape::SetColor
DescriptionSince OCCT 6.9.0, I noticed a change in the visualization of a TopoDS_Vertex.

In older versions, the vertex is displayed as a cross. Since 6.9.0, the vertex is displayed as a small point only (one pixel size).

This only happens, if the method AIS_Shape::SetColor is called.

As a workaround, changing the shape color can be performed using AIS_InteractiveContext::SetColor(shape, color), which does not alter the visualization type.
Steps To ReproduceCan not be reproduced in DRAW.

Reproduce e.g. with Qt Tutorial:
 - Return a TopoDS_Vertex in MakeBottle (instead of the bottle shape)
 - Insert AISBottle->SetColor(Quantity_NOC_ALICEBLUE); in DocumentTut.cxx
TagsNo tags attached.
Test case numberNot needed
Attached Fileszip file icon vertex-display-bug.zip (83,480 bytes) 2016-01-05 15:07

- Relationships

-  Notes
(0049703)
git (administrator)
2016-01-06 21:30

Branch CR27060 has been created by kgv.

SHA-1: 4f16e3dd25345f224451683da797f0ee9fa0d7a6


Detailed log of new commits:

Author: kgv
Date: Wed Jan 6 21:29:32 2016 +0300

    0027060: Visualization issue with TopoDS_Vertex after call of AIS_Shape::SetColor()
(0049704)
kgv (developer)
2016-01-06 21:31

Dear Martin,

could you please check if patch in branch CR27060 fixes your problem?
(0049705)
martinsiggel (developer)
2016-01-07 10:49

Dear kgv,

I checked the patch. This fixes the issue for me.

Thank you!
(0049707)
git (administrator)
2016-01-07 11:22

Branch CR27060 has been updated forcibly by kgv.

SHA-1: 493b1cd4f18d0cf04be1f119b2c23acadd76cf73
(0049708)
kgv (developer)
2016-01-07 11:24

Dear bugmaster,

please test the patch. Test case is not needed.
(0049782)
apv (tester)
2016-01-12 14:39

Dear BugMaster,

Branch CR27060 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 493b1cd4f18d0cf04be1f119b2c23acadd76cf73

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 134 (134 on master)
products component:
   Linux: 37 (37 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 89315486 / 89878586 [-0.63%]
Total CPU difference: 19092.129999999957 / 19263.630000000092 [-0.89%]

Testing on Windows:
Total MEMORY difference: 57211609 / 57466837 [-0.44%]
Total CPU difference: 17814.690195998974 / 18535.555216899113 [-3.89%]
(0052971)
git (administrator)
2016-04-17 13:46

Branch CR27060 has been deleted by kgv.

SHA-1: 493b1cd4f18d0cf04be1f119b2c23acadd76cf73

- Related Changesets
occt: master 7d835040
Timestamp: 2016-01-07 08:22:21
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027060: Visualization issue with TopoDS_Vertex after call of AIS_Shape::SetColor()

AIS_Shape::setColor() - define Aspect_TOM_PLUS point aspect
in sync with Prs3d_Drawer::PointAspect() when Prs3d_Drawer has no Link.
mod - src/AIS/AIS_Shape.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-01-05 15:07 martinsiggel New Issue
2016-01-05 15:07 martinsiggel Assigned To => kgv
2016-01-05 15:07 martinsiggel File Added: vertex-display-bug.zip
2016-01-06 21:30 git Note Added: 0049703
2016-01-06 21:31 kgv Note Added: 0049704
2016-01-06 21:31 kgv Assigned To kgv => martinsiggel
2016-01-06 21:31 kgv Severity minor => trivial
2016-01-06 21:31 kgv Status new => feedback
2016-01-06 21:31 kgv Target Version 7.1.0 => 7.0.0
2016-01-06 21:35 kgv Relationship added related to 0024762
2016-01-07 10:49 martinsiggel Note Added: 0049705
2016-01-07 10:49 martinsiggel Assigned To martinsiggel => kgv
2016-01-07 10:49 martinsiggel Status feedback => resolved
2016-01-07 11:22 git Note Added: 0049707
2016-01-07 11:24 kgv Note Added: 0049708
2016-01-07 11:24 kgv Assigned To kgv => bugmaster
2016-01-07 11:24 kgv Status resolved => reviewed
2016-01-11 12:02 apv Assigned To bugmaster => apv
2016-01-12 13:49 apv Test case number => Not needed
2016-01-12 14:39 apv Note Added: 0049782
2016-01-12 14:39 apv Assigned To apv => bugmaster
2016-01-12 14:39 apv Status reviewed => tested
2016-01-15 16:57 bugmaster Changeset attached => occt master 7d835040
2016-01-15 16:57 bugmaster Status tested => verified
2016-01-15 16:57 bugmaster Resolution open => fixed
2016-04-17 13:46 git Note Added: 0052971
2016-04-20 15:43 user533 Fixed in Version => 7.0.0
2016-04-20 15:50 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker